import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, f = Object.getOwnPropertyDescriptor, l = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, s) : t, c = p.length - 1, i; c >= 0; c--)
    (i = p[c]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && v(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--mealVoucher", this.class = "c-pieIcon c-pieIcon--mealVoucher", this.name = "IconMealVoucher";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--mealVoucher"><path d="M14.781 6.688v5.25a1.094 1.094 0 0 1-1.094 1.093H2.313a1.093 1.093 0 0 1-1.094-1.093v-5.25a1.094 1.094 0 0 1 1.093-1.094h1.313v1.312H2.531v4.813H13.47V6.906h-1.094V5.594h1.313a1.094 1.094 0 0 1 1.093 1.094Zm-5.11 1.04.517.115c0 .76-.053 1.426-.08 1.907h1.05c.08-1.444.176-4.375.062-6.405 0-.586-.158-.875-.411-1.015a.648.648 0 0 0-.508-.061.761.761 0 0 0-.42.35 7.875 7.875 0 0 0-.761 4.314.779.779 0 0 0 .551.796Zm-3.946-.997v3.02h1.05V6.73c.446-.13.875-.428.875-.927V2.26l-2.853.289v3.255c.035.49.482.787.928.927Z"></path></svg>`;
  }
};
l([
  h({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  h({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  m("icon-meal-voucher")
], o);
export {
  o as IconMealVoucher
};
